Skip to content

updateCustomerContact

WRITE

Update customer contact.

POST /api/v1/sales/updateCustomerContact
curl -X POST '<your-host>/api/v1/sales/updateCustomerContact' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contactId": "string",
    "contact": {}
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType
min length 1email
pattern ^\+[1-9]\d{1,14}$
pattern ^\+[1-9]\d{1,14}$
pattern ^\+[1-9]\d{1,14}$
pattern ^\+[1-9]\d{1,14}$

Input schema

schema
{
  "type": "object",
  "properties": {
    "contactId": {
      "type": "string"
    },
    "contact": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "contactId": {
          "type": "string"
        },
        "firstName": {
          "type": "string"
        },
        "lastName": {
          "type": "string"
        },
        "title": {
          "type": "string"
        },
        "email": {
          "type": "string",
          "minLength": 1,
          "format": "email"
        },
        "mobilePhone": {
          "type": "string",
          "pattern": "^\\+[1-9]\\d{1,14}$"
        },
        "homePhone": {
          "type": "string",
          "pattern": "^\\+[1-9]\\d{1,14}$"
        },
        "workPhone": {
          "type": "string",
          "pattern": "^\\+[1-9]\\d{1,14}$"
        },
        "fax": {
          "type": "string",
          "pattern": "^\\+[1-9]\\d{1,14}$"
        },
        "notes": {
          "type": "string"
        },
        "customerLocationId": {
          "type": "string"
        }
      },
      "required": [
        "email"
      ]
    },
    "customerLocationId": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "contactId",
    "contact"
  ]
}